### Function

# GimpUi help_set_help_data_with_markup

since: 2.6

#### Declaration [src]

    void
    gimp_help_set_help_data_with_markup (
      GtkWidget* widget,
      const gchar* tooltip,
      const gchar* help_id
    )

#### Description [src]

Just like gimp_help_set_help_data(), but supports to pass text which is marked up with Pango text markup language.

Available since: 2.6

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` you want to set a `tooltip` and/or `help_id` for.

  The data is owned by the caller of the function.

`tooltip`

  Type: `const gchar*`

  The markup for this widget’s tooltip (or `NULL`).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`help_id`

  Type: `const gchar*`

  The `help_id` for the `GtkTipsQuery` tooltips inspector.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.